/*
 * FCKeditor - The text editor for internet
 * Copyright (C) 2003-2006 Frederico Caldeira Knabben
 *
 * Bible Link Plugin
 * Copyright (c) 2006 Russ McGuire
 * 
 * Licensed under the terms of the GNU Lesser General Public License:
 *    http://www.opensource.org/licenses/lgpl-license.php
 * 
 * For further information visit:
 *    http://www.fckeditor.net/
 * 
 * "Support Open Source software. What about a donation today?"
 * 
 * File Name: fckplugin.js
 *    Insert link to Bible
 * 
 * Version 1.0.1, 30-05-2006
 * 
 * File Authors:
 *    Russ McGuire (russ.mcguire@seek-first.com) - original release
 *
 * If a global variable bibleURL is set, then that is used and the reference is just tacked on the end.  
 * Note that the bibleURLmust include everything required, including the assignment (e.g. "?p=").  
 * If bibleURL isn't set, then it will default toSeek First.
 */

var FCKBibleLinkFunction = function(name)
	{
	this.Name = name;
	}

FCKBibleLinkFunction.prototype.Execute = function()
	{
	/* look for BibleURL cookie */
	if(document.cookie != "")
		{
		theseCookies = document.cookie.split(";");
		for(i=0; i<theseCookies.length; i++)
			{
			thisCookie = theseCookies[i].split("=");
			if(thisCookie[0].search('BibleURL') >= 0)
				{
				var bibleURL = unescape(thisCookie[1]);
				}
			
			}
		}
		
	var txt = '';
	if (FCK.EditorWindow.getSelection)
	 	{
	  	txt = FCK.EditorWindow.getSelection().toString();
	 	}
	 else if (FCK.EditorDocument.getSelection)
	 	{
	  	txt = FCK.EditorDocument.getSelection().toString();
	  	}
	 else if (FCK.EditorDocument.selection)
	 	{
	  	txt = FCK.EditorDocument.selection.createRange().text;
	 	}

	var scripture = '';
	for (i = 0; i < txt.length; i++) 
		{
		if (txt.charAt(i) == " ") 
			{
			scripture += "+";
			}
		else 
			{
			scripture += txt.charAt(i);
      			}
   		}
	if((typeof bibleURL != 'undefined') && (bibleURL.length > 0))
		{
		newtxt = '<a href=' + bibleURL + scripture + '>' + txt + '</a>';
		}
	else
		{
		newtxt = '<a href=http://www.seek-first.com/Bible.php?p=' + scripture + '>' + txt + '</a>';
		}

	FCK.InsertHtml(newtxt);
	}

FCKBibleLinkFunction.prototype.GetState = function()
	{
    	return FCK_TRISTATE_OFF; 
	}

// Register the related command.
FCKCommands.RegisterCommand('BibleLink', new FCKBibleLinkFunction('LivingStones'));

// Create the "BibleLink" toolbar button.
var oBibleLinkItem = new FCKToolbarButton('BibleLink',"BibleLink", null, null, false, true);
oBibleLinkItem.IconPath = FCKConfig.PluginsPath + 'biblelink/BibleLinkButton.gif';

// 'BibleLink' is the name used in the Toolbar config.
FCKToolbarItems.RegisterItem('BibleLink', oBibleLinkItem);